function FileData_Pairs(x)
{
x.t("example","topic");
x.t("example","located");
x.t("example","hashtable");
x.t("example","port");
x.t("example","following");
x.t("properties","environment");
x.t("properties","tibco");
x.t("properties","username");
x.t("properties","similar");
x.t("/samples/java/jndi","directory");
x.t("method","look");
x.t("method","looking");
x.t("illustrate","create");
x.t("tibjmscontext.ssl_enable_verify_host","new");
x.t("tibjmscontext.ssl_enable_verify_host","false");
x.t("client_identity.p12","tibems_ssl_encoding_auto");
x.t("client_identity.p12","string");
x.t("pk_password","create");
x.t("tibemsdestination","sampletopic");
x.t("tibemsdestination","samplequeue");
x.t("tibjmsjndiread.java","example");
x.t("tibjmsnaming://","localhost");
x.t("tibjmsnaming://","host");
x.t("topic.sample","void");
x.t("topic.sample","topic");
x.t("topic.sample","queue.sample");
x.t("topic.sample","javax.jms.queue");
x.t("topic.sample","tibco.ems.queue");
x.t("full","url");
x.t("emssslstoretype.emsssl_store_type_file","env.add");
x.t("describes","lookup");
x.t("create","tibemslookupcontext");
x.t("create","initialcontext");
x.t("create","ilookupcontext");
x.t("create","initial");
x.t("create","tibemssslparams");
x.t("refer","tibjmsjndiread.java");
x.t("administered","objects");
x.t("layer","(ssl)");
x.t("void","&factory");
x.t("void","&sampletopic");
x.t("void","&samplequeue");
x.t("ssl","properties");
x.t("ssl","connection");
x.t("ssl","listen");
x.t("ssl","store");
x.t("ssl","finally");
x.t("ssl","function");
x.t("ssl","tibco");
x.t("ssl","env.put");
x.t("ssl","env.add");
x.t("ssl","protocol");
x.t("fault-tolerant","lookups");
x.t("fault-tolerant","jndi");
x.t("foreign","naming/directory");
x.t("topic","exists");
x.t("topic","sampletopic");
x.t("secure","sockets");
x.t("secure","lookups");
x.t("secure","jndi");
x.t("connectionfactory","function");
x.t("connectionfactory","factory");
x.t("(javax.jms.topic)","jndicontext.lookup");
x.t("program","ssl");
x.t("uses","ssl");
x.t("uses","new");
x.t("tibemslookupcontext_createssl","&context");
x.t("look","administered");
x.t("look","connection");
x.t("look","objects");
x.t("look","destinations");
x.t("contextstatus","null");
x.t("provided","client");
x.t("sample","client");
x.t("lookupcontext.provider_url","adc1.na.tibco.com:10636");
x.t("lookupcontext.provider_url","tibjmsnaming://localhost:7222");
x.t("lookupcontext.security_principal","myusername");
x.t("providing","multiple");
x.t("authenticate","client");
x.t("com.tibco.tibjms.naming.tibjmsinitialcontextfactory","env.put");
x.t("tibemslookupcontext","contextstatus");
x.t("tibemslookupcontext","context");
x.t("tibemslookupcontext","object");
x.t("time","first");
x.t("form","tibjmsnaming://");
x.t("connection","ssl");
x.t("connection","initial");
x.t("connection","factory");
x.t("queues.conf","java");
x.t("sockets","layer");
x.t("multiple","urls");
x.t("bound","foreign");
x.t("queue","exists");
x.t("queue","samplequeue");
x.t("property","example");
x.t("property","creating");
x.t("property","urls");
x.t("property","used");
x.t("tibjmscontext.security_protocol","ssl");
x.t("automatically","uses");
x.t("automatically","switch");
x.t("limitations","fault-tolerant");
x.t("objects","ems");
x.t("objects","stored");
x.t("objects","third-party");
x.t("objects","following");
x.t("objects","using");
x.t("access","jms");
x.t("jms","administered");
x.t("consists","provider");
x.t("consists","jndi");
x.t("consists","pkcs12");
x.t("new","boolean");
x.t("new","initialcontext");
x.t("new","primary");
x.t("new","hashtable");
x.t("new","lookupcontextfactory");
x.t("new","emssslfilestoreinfo");
x.t("(env)","create");
x.t("(env)","look");
x.t("(env)","using");
x.t("sslparams","pk_password");
x.t("sslparams","tibemssslparams_create");
x.t("sslparams","null");
x.t("tibems_status","status");
x.t("need","create");
x.t("need","provided");
x.t("factories.conf","file");
x.t("file","topic.sample");
x.t("file","tibjsmd.conf");
x.t("file","function");
x.t("file","identifies");
x.t("file","tibemslookupcontext_create");
x.t("context.initial_context_factory","com.tibco.tibjms.naming.tibjmsinitialcontextfactory");
x.t("status","tibemslookupcontext_createssl");
x.t("status","tibemslookupcontext_lookup");
x.t("status","tibems_ok");
x.t("status","tibemslookupcontext_create");
x.t("status","tibemssslparams_setidentityfile");
x.t("tibjmsnaming://jmshost:7222/topic.sample","queue");
x.t("info","consists");
x.t("ems","need");
x.t("ems","looking");
x.t("ems","section");
x.t("ems","tibco");
x.t("ems","implementation");
x.t("ems","naming");
x.t("ems","server");
x.t("enterprise","message");
x.t("queue.sample","looking");
x.t("queue.sample","initial");
x.t("queue.sample","tibjmsjndi.java");
x.t("machine","named");
x.t("assume","connection");
x.t("identity","means");
x.t("looking","administered");
x.t("looking","objects");
x.t("looking","object");
x.t("url","form");
x.t("url","username");
x.t("url","separated");
x.t("url","names");
x.t("url","naming");
x.t("false","context");
x.t("false","turn");
x.t("tibemssslparams_setidentity","file");
x.t("tibemsconnection_factory","factory");
x.t("fails","jndi");
x.t("fails","backup");
x.t("(topic)","searcher.lookup");
x.t("specified","context.provider_url");
x.t("specified","server");
x.t("commas","property");
x.t("stored","ems");
x.t("stored","emssslfilestoreinfo");
x.t("name","clients");
x.t("searcher","factory.createcontext");
x.t("lookups","fault-tolerant");
x.t("lookups","primary");
x.t("lookups","tibco");
x.t("lookups","emshost");
x.t("lookups","using");
x.t("lookups","accomplish");
x.t("lookups","occur");
x.t("info.setsslclientidentity","(ssl_identity)");
x.t("creating","initialcontext");
x.t("clients","look");
x.t("clients","lookup");
x.t("topics.conf","queue.sampl");
x.t("lookupcontext.security_protocol","ssl");
x.t("provider","properties");
x.t("provider","automatically");
x.t("provider","url");
x.t("provider","context");
x.t("perform","fault-tolerant");
x.t("perform","secure");
x.t("perform","jndi");
x.t("listen","port");
x.t("info.setsslpassword","ssl_password.tochararray");
x.t("argument","lookup");
x.t("alternatively","java");
x.t("exists","queues.conf");
x.t("exists","factories.conf");
x.t("exists","topics.conf");
x.t("context.security_credentials","password");
x.t("further","information");
x.t("boolean","false");
x.t("ssl_password","password");
x.t("illustrates","setting");
x.t("sampletopic","(javax.jms.topic)");
x.t("sampletopic","(topic)");
x.t("sampletopic","null");
x.t("ems_home","/samples/java/jndi");
x.t("place","context.provider_url");
x.t("tibemssslparams_create","status");
x.t("destination","function");
x.t("&factory","status");
x.t("certificates","need");
x.t("tibjmsnaming://backuphost:7222","time");
x.t("programs","perform");
x.t("certificate","hashtable");
x.t("tibems_ssl_encoding_auto","status");
x.t("string","ssl_password");
x.t("string","ssl_target_hostname");
x.t("string","ssl_identity");
x.t("repaired","restarted");
x.t("jndi","looking");
x.t("jndi","lookups");
x.t("jndi","provider");
x.t("jndi","lookup");
x.t("jndi","server");
x.t("localhost",":7222");
x.t("com.tibco.tibjms.naming","env.put");
x.t("store","info");
x.t("storeinfo","new");
x.t("storeinfo","performing");
x.t("tibjmsnaming://jmshost:7222/queue.sample","further");
x.t("backup","ems");
x.t("backup","server");
x.t("naming/directory","service");
x.t("initialcontext","(env)");
x.t("initialcontext","jndicontext");
x.t("initialcontext","created");
x.t("initialcontext","used");
x.t("initialcontext","object");
x.t("initialcontext","specify");
x.t("samplequeue","(javax.jms.queue)");
x.t("samplequeue","null");
x.t("samplequeue","(tibco.ems.queue)");
x.t("&context","tibjmsnaming://localhost:7222");
x.t("finally","value");
x.t("client\u2019s","password");
x.t("context.security_principal","username");
x.t("tibemslookupcontext_lookup","connectionfactory");
x.t("tibemslookupcontext_lookup","destination");
x.t("tibemslookupcontext_lookup","context");
x.t("ilookupcontext","searcher");
x.t("ilookupcontext","object");
x.t("means","pkcs12");
x.t("first","ems");
x.t("number","specified");
x.t("tibjsmd.conf","value");
x.t("function","create");
x.t("function","look");
x.t("function","establish");
x.t("software","chapter");
x.t("chapter","using");
x.t(":7222","env.put");
x.t("against","server\u2019s");
x.t("pkcs12","file");
x.t("section","describes");
x.t("directory","create");
x.t("directory","performing");
x.t("verify","server");
x.t("tibems_ok","sslparams");
x.t("initial","context");
x.t("(javax.jms.queue)","jndicontext.lookup");
x.t("myusername","env.add");
x.t("ssl_target_hostname","env.add");
x.t("ssl_target_hostname","server");
x.t("lookupcontext.ssl_target_host_name","ssl_target_hostname");
x.t("switch","ems");
x.t("client","program");
x.t("client","ems");
x.t("client","identity");
x.t("client","programs");
x.t("client","client\u2019s");
x.t("client","verify");
x.t("client","located");
x.t("client","service");
x.t("&sampletopic","create");
x.t("scenarios","using");
x.t("identifies","url");
x.t("identifies","client");
x.t("located","ems_home");
x.t("adc1.na.tibco.com:10636","env.add");
x.t("primary","ems");
x.t("primary","jndi");
x.t("primary","server");
x.t("tibco","enterprise");
x.t("tibco","software");
x.t("message","service");
x.t("ext","env");
x.t("searcher.lookup","topic.sample");
x.t("searcher.lookup","queue.sample");
x.t("searcher.lookup","confac");
x.t("performing","fault-tolerant");
x.t("performing","secure");
x.t("environment","initialcontext");
x.t("java","example");
x.t("java","create");
x.t("java","clients");
x.t("java","applications");
x.t("jndicontext","new");
x.t("tibemslookupcontext_create","ssl");
x.t("tibemslookupcontext_create","&context");
x.t("lookupcontextfactory.tibjms_naming_cont","ext");
x.t("javax.jms.topic","sampletopic");
x.t("null","tibemsdestination");
x.t("null","tibems_status");
x.t("null","status");
x.t("null","tibemsconnection_factory");
x.t("null","tibemssslparams");
x.t("trusted","certificates");
x.t("establish","client");
x.t("username","env.put");
x.t("username","password");
x.t("factory","new");
x.t("factory","jndi");
x.t("factory","null");
x.t("factory","named");
x.t("factory","(javax.jms.connectionfactory)");
x.t("factory","(connectionfactory)");
x.t("hashtable","env.put");
x.t("hashtable","env.add");
x.t("hashtable","env");
x.t("env.put","tibjmscontext.ssl_enable_verify_host");
x.t("env.put","tibjmscontext.security_protocol");
x.t("env.put","context.initial_context_factory");
x.t("env.put","context.security_credentials");
x.t("env.put","context.security_principal");
x.t("env.put","context.provider_url");
x.t("env.put","context.url_pkg_prefixes");
x.t("configuration","file");
x.t("named","topic.sample");
x.t("named","backuphost");
x.t("named","confac");
x.t("named","emshost");
x.t("(javax.jms.connectionfactory)","jndicontext.lookup");
x.t("sample.queue","void");
x.t("&samplequeue","status");
x.t("similar","ssl");
x.t("value","tibjmscontext.ssl_enable_verify_host");
x.t("value","tibjmscontext.security_protocol");
x.t("implementation","jndi");
x.t("restarted","becomes");
x.t("(ssl)","protocol");
x.t("ssl_identity","client_identity.p12");
x.t("third-party","jndi");
x.t("third-party","ldap");
x.t("context.provider_url","tibjmsnaming://");
x.t("context.provider_url","ssl");
x.t("context.provider_url","property");
x.t("context.provider_url","tibjmsnaming://jmshost:7222");
x.t("context.provider_url","tibjmsnaming://jmshost:7223");
x.t("tibemsconnectionfactory","factory");
x.t("env.add","lookupcontext.provider_url");
x.t("env.add","lookupcontext.security_principal");
x.t("env.add","lookupcontext.security_protocol");
x.t("env.add","lookupcontext.ssl_target_host_name");
x.t("env.add","lookupcontext.security_credentials");
x.t("env.add","lookupcontext.ssl_store_type");
x.t("env.add","lookupcontext.ssl_store_info");
x.t("(tibco.ems.queue)","searcher.lookup");
x.t("context.url_pkg_prefixes","property");
x.t("context.url_pkg_prefixes","com.tibco.tibjms.naming");
x.t("authentication","trusted");
x.t("backuphost","jndi");
x.t("backuphost","env.put");
x.t("context","topic.sample");
x.t("context","ssl");
x.t("context","connectionfactory");
x.t("context","tibemslookupcontext");
x.t("context","consists");
x.t("context","new");
x.t("context","identifies");
x.t("context","null");
x.t("context","factory");
x.t("context","sample.queue");
x.t("context","tibemsconnectionfactory");
x.t("context","context");
x.t("context","confac");
x.t("javax.jms.queue","samplequeue");
x.t("host","backuphost");
x.t("host","port");
x.t("confac","void");
x.t("confac","topic");
x.t("confac","exists");
x.t("confac","tibemslookupcontext_lookup");
x.t("confac","javax.jms.topic");
x.t("confac","destinations");
x.t("tibjmsjndi.java","sample");
x.t("lookupcontext.security_credentials","mypassword");
x.t("information","full");
x.t("information","using");
x.t("becomes","backup");
x.t("becomes","primary");
x.t("urls","primary");
x.t("urls","context.provider_url");
x.t("examples","illustrate");
x.t("examples","assume");
x.t("examples","demonstrate");
x.t("lookupcontextfactory","ilookupcontext");
x.t("lookupcontextfactory","factory");
x.t("tibco.ems.queue","samplequeue");
x.t("tibemssslparams_setidentityfile","ssl_params");
x.t("emshost","repaired");
x.t("emshost","backup");
x.t("case","context.url_pkg_prefixes");
x.t("lookupcontext.ssl_store_type","emssslstoretype.emsssl_store_type_file");
x.t("ldap","tibco");
x.t("ldap","server");
x.t("port","specified");
x.t("port","number");
x.t("port","following");
x.t("destinations","named");
x.t("mypassword","env.add");
x.t("mypassword","lookupcontextfactory");
x.t("protocol","java");
x.t("protocol","information");
x.t("protocol","accomplish");
x.t("tibemssslparams","sslparams");
x.t("tibemssslparams","object");
x.t("ssl_password.tochararray","hashtable");
x.t("tibjmsnaming://jmshost:7222","tibjmsnaming://backuphost:7222");
x.t("applications","lookup");
x.t("factory.createcontext","lookupcontextfactory.tibjms_naming_cont");
x.t("server\u2019s","certificate");
x.t("tibjmsnaming://jmshost:7223","env.put");
x.t("ilookupcontext.lookup","method");
x.t("created","ssl");
x.t("service","provider");
x.t("service","perform");
x.t("service","alternatively");
x.t("service","client");
x.t("service","examples");
x.t("service","ldap");
x.t("service","naming");
x.t("service","server");
x.t("following","example");
x.t("following","illustrates");
x.t("following","scenarios");
x.t("following","examples");
x.t("env","new");
x.t("env","ilookupcontext.lookup");
x.t("(connectionfactory)","searcher.lookup");
x.t("used","perform");
x.t("used","place");
x.t("turn","server");
x.t("separated","commas");
x.t("using","full");
x.t("using","ssl");
x.t("using","secure");
x.t("using","ems");
x.t("using","jndi");
x.t("using","tibco");
x.t("lookup","method");
x.t("lookup","administered");
x.t("lookup","objects");
x.t("lookup","against");
x.t("demonstrate","access");
x.t("jndicontext.lookup","topic.sample");
x.t("jndicontext.lookup","tibjmsnaming://jmshost:7222/topic.sample");
x.t("jndicontext.lookup","queue.sample");
x.t("jndicontext.lookup","tibjmsnaming://jmshost:7222/queue.sample");
x.t("jndicontext.lookup","confac");
x.t("lookupcontext.ssl_store_info","storeinfo");
x.t("setting","context.provider_url");
x.t("password","authenticate");
x.t("password","sslparams");
x.t("password","stored");
x.t("password","initialcontext");
x.t("password","tibemslookupcontext_lookup");
x.t("password","jndicontext");
x.t("password","emssslfilestoreinfo");
x.t("accomplish","providing");
x.t("accomplish","client");
x.t("queue.sampl","queue");
x.t("names","refer");
x.t("names","look");
x.t("names","argument");
x.t("names","java");
x.t("names","case");
x.t("emssslfilestoreinfo","info.setsslclientidentity");
x.t("emssslfilestoreinfo","storeinfo");
x.t("emssslfilestoreinfo","object");
x.t("(ssl_identity)","info.setsslpassword");
x.t("occur","following");
x.t("ssl_params","client_identity.p12");
x.t("naming","service");
x.t("server","tibemslookupcontext");
x.t("server","limitations");
x.t("server","machine");
x.t("server","fails");
x.t("server","name");
x.t("server","clients");
x.t("server","string");
x.t("server","jndi");
x.t("server","chapter");
x.t("server","hashtable");
x.t("server","configuration");
x.t("server","authentication");
x.t("server","becomes");
x.t("server","host");
x.t("server","following");
x.t("server","lookup");
x.t("server","using");
x.t("object","uses");
x.t("object","bound");
x.t("object","tibemssslparams_setidentity");
x.t("object","string");
x.t("object","initial");
x.t("tibjmsnaming://localhost:7222","username");
x.t("tibjmsnaming://localhost:7222","env.add");
x.t("specify","url");
}
